squirrelmail-compatibility_2.0.16-1_all.deb


Advertisement

Description

squirrelmail-compatibility - SquirrelMail plugin: Let other plugins work with older/newer SM versions

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe i386
Package name: squirrelmail-compatibility
Package version: 2.0.16
Package release: 1
Package architecture: all
Package type: deb
Installed size: 428 B
Download size: 34.88 KB
Official Mirror: archive.ubuntu.com
This plugin allows any other plugin access to the functions and special variables needed to make it backward (and forward) compatible with most versions of SM in wide use. This eliminates the need for duplication of certain functions throughout many plugins. It also provides functionality that helps check that plugins have been installed and set up correctly. SquirrelMail is a standards-based webmail package written in PHP. It runs on top of any IMAP server.

Alternatives

    Download

    Source package: squirrelmail-compatibility

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install squirrelmail-compatibility deb package:
      # sudo apt-get install squirrelmail-compatibility

    Files

    • /usr/share/doc/squirrelmail-compatibility/README.Debian
    • /usr/share/doc/squirrelmail-compatibility/README.gz
    • /usr/share/doc/squirrelmail-compatibility/changelog.Debian.gz
    • /usr/share/doc/squirrelmail-compatibility/copyright
    • /usr/share/squirrelmail/plugins/compatibility/functions.php
    • /usr/share/squirrelmail/plugins/compatibility/index.php
    • /usr/share/squirrelmail/plugins/compatibility/setup.php
    • /usr/share/squirrelmail/plugins/compatibility/includes/index.php
    • /usr/share/squirrelmail/plugins/compatibility/includes/1.2.10/index.php
    • /usr/share/squirrelmail/plugins/compatibility/includes/1.2.11/index.php
    • /usr/share/squirrelmail/plugins/compatibility/includes/1.2.7/index.php
    • /usr/share/squirrelmail/plugins/compatibility/includes/1.2.8/index.php
    • /usr/share/squirrelmail/plugins/compatibility/includes/1.2.9/index.php
    • /usr/share/squirrelmail/plugins/compatibility/includes/1.4.0/global.php
    • /usr/share/squirrelmail/plugins/compatibility/includes/1.4.0/index.php
    • /usr/share/squirrelmail/plugins/compatibility/includes/1.4.1/index.php
    • /usr/share/squirrelmail/plugins/compatibility/includes/1.4.10/index.php
    • /usr/share/squirrelmail/plugins/compatibility/includes/1.4.11/global.php
    • /usr/share/squirrelmail/plugins/compatibility/includes/1.4.11/index.php
    • /usr/share/squirrelmail/plugins/compatibility/includes/1.4.12/index.php
    • /usr/share/squirrelmail/plugins/compatibility/includes/1.4.13/index.php
    • /usr/share/squirrelmail/plugins/compatibility/includes/1.4.14/index.php
    • /usr/share/squirrelmail/plugins/compatibility/includes/1.4.15/index.php
    • /usr/share/squirrelmail/plugins/compatibility/includes/1.4.16/index.php
    • /usr/share/squirrelmail/plugins/compatibility/includes/1.4.17/index.php
    • /usr/share/squirrelmail/plugins/compatibility/includes/1.4.18/index.php
    • /usr/share/squirrelmail/plugins/compatibility/includes/1.4.19/index.php
    • /usr/share/squirrelmail/plugins/compatibility/includes/1.4.2/index.php
    • /usr/share/squirrelmail/plugins/compatibility/includes/1.4.20/index.php
    • /usr/share/squirrelmail/plugins/compatibility/includes/1.4.3/index.php
    • /usr/share/squirrelmail/plugins/compatibility/includes/1.4.4/index.php
    • /usr/share/squirrelmail/plugins/compatibility/includes/1.4.5/index.php
    • /usr/share/squirrelmail/plugins/compatibility/includes/1.4.6/index.php
    • /usr/share/squirrelmail/plugins/compatibility/includes/1.4.7/index.php
    • /usr/share/squirrelmail/plugins/compatibility/includes/1.4.8/index.php
    • /usr/share/squirrelmail/plugins/compatibility/includes/1.4.9/index.php
    • /usr/share/squirrelmail/plugins/compatibility/includes/1.5.0/global.php
    • /usr/share/squirrelmail/plugins/compatibility/includes/1.5.0/index.php
    • /usr/share/squirrelmail/plugins/compatibility/includes/1.5.1/global.php
    • /usr/share/squirrelmail/plugins/compatibility/includes/1.5.1/index.php
    • /usr/share/squirrelmail/plugins/compatibility/includes/1.5.2/global.php
    • /usr/share/squirrelmail/plugins/compatibility/includes/1.5.2/index.php
    • /usr/share/squirrelmail/plugins/compatibility/locale/.htaccess
    • /usr/share/squirrelmail/plugins/compatibility/locale/compatibility.pot
    • /usr/share/squirrelmail/plugins/compatibility/locale/getpot
    • /usr/share/squirrelmail/plugins/compatibility/locale/index.php

    Changelog

    2010-02-05 - Jan Hauke Rahm <jhr@debian.org> squirrelmail-compatibility (2.0.16-1) unstable; urgency=low * New upstream release * Bumped Standards-Version: 3.8.4

    2009-11-08 - Jan Hauke Rahm <jhr@debian.org> squirrelmail-compatibility (2.0.15-1) unstable; urgency=low * New upstream release * Bumped standards-version to 3.8.3 * Include bug.script to get information about installed plugins * Changed build process a bit, nothing actually important

    2009-01-13 - Jan Hauke Rahm <info@jhr-online.de> squirrelmail-compatibility (2.0.14-1) unstable; urgency=low * New upstream release + Added is_ssl_secured_connection() + Added sq_is_writable() + Added sq_create_tempfile() + Added get_process_owner_info() + Update with changes in sqsetcookie() and that it was added to 1.4.16 * debian/copyright: updated * debian/rules: cleanup * DM-Upload-Allowed: yes

    2008-08-29 - Jan Hauke Rahm <info@jhr-online.de> squirrelmail-compatibility (2.0.13-1) unstable; urgency=low * New upstream release + Synchronized sq_send_mail() and sqauth_save_password() with changes in SquirrelMail + Synchronized get_plugin_requirement() with changes in SquirrelMail * debian/control: Added VCS information * debian/postrm: removing full paths (lintian warning)

    2008-07-17 - Jan Hauke Rahm <info@jhr-online.de> squirrelmail-compatibility (2.0.12-1) unstable; urgency=low * New upstream release + Added set_uri_vars() + Added check_file_contents() + Added $load_only_one to load_config() + Added include directories for 1.4.15 and 1.4.16 + Added lame-duck stand-in for ngettext() when needed under SquirrelMail versions less than 1.5.1 that are not running at least PHP 4.2.0 with the gettext extension * Using debhelper 7 * Bumping to Policy 3.8 (no changes)

    2008-03-29 - Jan Hauke Rahm <info@jhr-online.de> squirrelmail-compatibility (2.0.11-2) unstable; urgency=low * Added debian/watch file * Changed package description * Changed format of debian/copyright to be machine-interpretable

    2008-03-15 - Jan Hauke Rahm <info@jhr-online.de> squirrelmail-compatibility (2.0.11-1) unstable; urgency=low * New upstream release + Moved sq_send_mail(), since it was added to SM core + Added debug constants from 1.5.2

    2008-02-17 - Jan Hauke Rahm <info@jhr-online.de> squirrelmail-compatibility (2.0.10-1) unstable; urgency=low * Initial release. (Closes: #464766)

    Advertisement
    Advertisement